{% extends 'base.html.twig' %}

{% block icon %}fa fa-folder-o{% endblock %}
{% block title %}Termes liés au vocabulaire contrôlé {{vocabulary.name}} ({{vocabulary.identifier}}){% endblock %}
{% block breadcrumb %}
    <li>Référentiel archivage</li>
    <li><a href="{{ url('app_vocabulary') }}">Vocabulaires contrôlés</a></li>
    <li class="active">Termes liés au vocabulaire contrôlé {{vocabulary.name}} ({{vocabulary.identifier}})</li>
{% endblock %}

{% block body %}
    {% if vocabulary.editable %}
    <div class="container btn-separator">
        <button
                type="button"
                class="btn btn-success"
                data-modal="ajax"
                data-url="{{ url('app_term_add', {vocabulary: vocabulary.id}) }}"
                data-title="Créer un terme"
                data-table="#{{ table.id() }}"
        >
            <i class="fa fa-plus-circle fa-space" aria-hidden="true"></i>
            Créer un terme
        </button>
        <button
                type="button"
                class="btn btn-success"
                data-modal="ajax"
                data-url="{{ url('app_term_import_csv1', {vocabulary: vocabulary.id}) }}"
                data-title="Importer des vocabulaires contrôlé par CSV ou RDF (Skos)"
                data-table="#{{ table.id() }}"
        >
            <i class="fa fa-upload fa-space" aria-hidden="true"></i>
            Importer par CSV ou RDF (Skos)
        </button>
    </div>
    {% endif %}
    {{ generate_filters(table) }}

    {{ include(
        'table/section.html.twig',
        {
            title: "Liste des termes"
        }
    ) }}
{% endblock %}
